#ifndef   _RF_API_H_
#define   _RF_API_H_

#include "cw32r031.h"
#include <stdbool.h>

enum RFAPI_WorkMode
{
    TEST_DEFAULT_MODE = 1,   /* Ĭģʽ,config_rf.hָģʽ */
    TEST_NULL,
    TEST_BLE_MODE,
    TEST_CARRIER_MODE ,
};

enum  RFAPI_CommuSate
{
  RFAPI_RX,
  RFAPI_TX,
  RFAPI_HALT  
};

extern    bool  bRFAPI_IRQ;
extern    uint8_t Channel_Index;
extern    const uint8_t TX_ADDRESS_DEF[]; 
extern    uint8_t const CHANNEL_TABLE[];
extern    enum  RFAPI_CommuSate  ucRFAPI_STATE;
void      RFAPI_RXState(bool RX_Continue);
void      RFAPI_TXState(void);
void      RFAPI_StateMachine(void);
void      RFAPI_PacketData(void);
void      RFAPI_ChannelNext(void);
void      RFAPI_SelectMode(void);
#endif


