#ifndef   _LED_H_
#define   _LED_H_

#include "delay.h"
#include "cw32r031_rcc.h"
#include "cw32r031_systick.h"
#include "cw32r031_gpio.h"
#include <stdbool.h>

#define SCK_HIGH    PA11_SETHIGH()
#define SCK_LOW     PA11_SETLOW()
#define SDA_HIGH    PA12_SETHIGH()
#define SDA_LOW     PA12_SETLOW()

enum
{
    ZERO,
    ONE,
    TWO,
    THREE,
    FOUR,
    FIVE,
    SIX,
    SEVEN,
    EIGHT,
    NINE,
    SUB,
    LED_NULL,
    LED_E,
    LED_R,
    LED_CP,
    LED_8p,
    LED_F,
    LED_A,
    LED_b,
    LED_C,
    LED_h
    
};
enum
{
    LED_CHANNEL_MODE,
    LED_FUNCTION_MODE,
    LED_CNT_MODE,
    LED_OTHER_MODE
};


extern uint8_t ucLED_FlashCnt;
extern bool bLED_Enable;


void LED_Init(void);
void start_up_sign(void);
void Ch455_writebyte(uint8_t ucdata);
void LED_ACK(void);
void stop_sign(void);
void LED_write_Byte(uint8_t data1,uint8_t data2);
void LED_Display(void);
void LED_ChangeFont(uint16_t usLED_Data,uint8_t ucLED_Mode);
#endif

