#ifndef __PAN1026_USER_H
#define __PAN1026_USER_H

     
#include "cw32r031.h"


void pan1026_user_init(void);
uint8_t pan1026_user_tx(uint8_t *buf, uint8_t len);
uint8_t pan1026_user_rx(uint8_t *buf, uint8_t max_size);
uint8_t pan1026_user_rx_enhance(uint8_t *buf, uint8_t max_size);
uint8_t pan1026_user_rx_enhance_ackpayload(uint8_t *buf, uint8_t max_size,
                                          uint8_t *payload, uint8_t payload_len);
uint8_t pan1026_user_tx_enhance(uint8_t *buf, uint8_t buf_len, uint8_t *payload, 
                                uint8_t payload_len);

#endif
