#ifndef __HAL_H
#define __HAL_H


#include "cw32r031.h"
#include <stdio.h>


void spi_for_rf_init(void);
void spi_for_rf_write_buf(uint8_t addr, uint8_t *buf, uint8_t len);
void spi_for_rf_read_buf(uint8_t addr, uint8_t *buf,  uint8_t len);

void soft_spi_for_rf_init(void);
void soft_spi_for_rf_write_buf(uint8_t addr, uint8_t *buf, uint8_t len);
void soft_spi_for_rf_read_buf(uint8_t addr, uint8_t *buf, uint8_t len);

void soft_i2c_for_rf_init(void);
void soft_i2c_write_buf(uint8_t addr, uint8_t *buf, uint8_t len);
void soft_i2c_read_buf(uint8_t addr, uint8_t *buf, uint8_t len);


#endif

