#ifndef _KEY_H_
#define _KEY_H_

#define   KEY1_STATUS         CW_GPIOB->IDR&GPIO_PIN_3
#define   KEY2_STATUS         CW_GPIOB->IDR&GPIO_PIN_4
#define   KEY3_STATUS         CW_GPIOB->IDR&GPIO_PIN_5
#include "cw32r031_gpio.h"
#include "cw32r031_rcc.h"

#define   KEY_DEBOUNCE_TIME       100

enum
{
  KEY1 = 0x01,
  KEY2 = 0x02,
  KEY3 = 0x04  
};
extern uint8_t ucKey_RD;
extern uint8_t ucADC_Level;
extern uint8_t flag_key_one_shot;

void Key_Init(void);
uint8_t Key_Rd(void);
void Key_Scan(void);
void ADC_Check(void);



#endif

